> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-ad-account-provisioning-setup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Compliance Frameworks

> Invokes the c1.api.attribute.v1.Attributes.ListComplianceFrameworks method.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/attributes/compliance_frameworks
openapi: 3.1.0
info:
  description: The ConductorOne API is a HTTP API for managing ConductorOne resources.
  title: ConductorOne API
  version: 0.1.0-alpha
servers:
  - description: The ConductorOne API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/attributes/compliance_frameworks:
    get:
      tags:
        - Compliance Framework
      summary: List Compliance Frameworks
      description: >-
        Invokes the c1.api.attribute.v1.Attributes.ListComplianceFrameworks
        method.
      operationId: c1.api.attribute.v1.Attributes.ListComplianceFrameworks
      parameters:
        - in: query
          name: page_size
          schema:
            description: The pageSize field.
            format: int32
            readOnly: false
            type: integer
        - in: query
          name: page_token
          schema:
            description: The pageToken field.
            readOnly: false
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.attribute.v1.ListComplianceFrameworksResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: ListComplianceFrameworks
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Attributes.ListComplianceFrameworks(ctx, operations.C1APIAttributeV1AttributesListComplianceFrameworksRequest{})\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ListComplianceFrameworksResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.attributes.listComplianceFrameworks();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.attribute.v1.ListComplianceFrameworksResponse:
      description: The ListComplianceFrameworksResponse message.
      properties:
        list:
          description: The list field.
          items:
            $ref: '#/components/schemas/c1.api.attribute.v1.AttributeValue'
          nullable: true
          readOnly: false
          type: array
        nextPageToken:
          description: The nextPageToken field.
          readOnly: false
          type: string
      title: List Compliance Frameworks Response
      type: object
      x-speakeasy-name-override: ListComplianceFrameworksResponse
    c1.api.attribute.v1.AttributeValue:
      description: AttributeValue is the value of an attribute of a defined type.
      properties:
        attributeTypeId:
          description: The ID of the AttributeType that this AttributeValue belongs to.
          readOnly: false
          type: string
        createdAt:
          format: date-time
          readOnly: true
          type: string
        deletedAt:
          format: date-time
          readOnly: true
          type: string
        id:
          description: The ID of the AttributeValue.
          readOnly: false
          type: string
        updatedAt:
          format: date-time
          readOnly: true
          type: string
        value:
          description: >-
            The value of the AttributeValue. This is the string that will be
            displayed to the user.
          readOnly: false
          type: string
      title: Attribute Value
      type: object
      x-speakeasy-name-override: AttributeValue
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````